//---------------------------------------------------------------------------------
//          I2C 24LC64
//---------------------------------------------------------------------------------
#include "hardware.h" //     
#include "24LC64.h" //     

volatile extern unsigned int I2C_addres;  //  24LC64
volatile extern unsigned int I2Cwr_byte; //     24LC64
volatile extern unsigned int wr_rd;  // / 24LC64 (0-, 1-)
volatile extern unsigned int end_rd;  //   24LC64
volatile extern unsigned int end_wr;  //   24LC64

//     24LC64   
//      I2C
//      
//-----------------------------------------------------------------------------
void wr_byte24LC64(unsigned int data_I2C, unsigned int addr_I2C)
  {
  I2C_addres = addr_I2C; //    24LC64
  I2Cwr_byte = data_I2C; //       24LC64
  wr_rd = 0; //  
  end_wr = 0; //   
  
  I2CONCLR = 0xFF; //    I2C
  I2CONSET = 0x40; //  I2C
  I2CONSET = 0x20; //   START I2C
    
  while (end_wr == 0); //   
  }

//     24LC64   
//         
//-----------------------------------------------------------------------------
unsigned int rd_byte24LC64(unsigned int addr_I2C)
  {
  I2C_addres = addr_I2C; //    24LC64
  wr_rd = 1; //  
  end_rd = 0; //   
  
  I2CONCLR = 0xFF; //    I2C
  I2CONSET = 0x40; //  I2C
  I2CONSET = 0x20; //   START I2C

  while (end_rd == 0); //   
  return I2DAT; //  
  }



















